kr.co.hanwha.hifive.adapter

## Class TaskHistoryListAdapter

- java.lang.Object
- - android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
  - - kr.co.hanwha.hifive.adapter.TaskHistoryListAdapter

All Implemented Interfaces:
  TaskHistoryListContract.Model, TaskHistoryListContract.View

    public class TaskHistoryListAdapter
    extends android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
    implements TaskHistoryListContract.Model, TaskHistoryListContract.View

Created by sanghoonkwon on 2018. 1. 22..

### Field Summary

Fields
`private java.util.ArrayList<TaskHistoryData>` `mListData`
`private int` `ZERO`

### Constructor Summary

Constructors
Constructor and Description
`TaskHistoryListAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addItems(java.util.ArrayList<TaskHistoryData> list)`
`void` `clearItems()` Model
`int` `getItemCount()`
`void` `notifyDataAll()` ViewActivity
`void` `notifyDataRangeChanged(int positionStart, int itemCount)`
`void` `onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder, int position)`
`android.support.v7.widget.RecyclerView.ViewHolder` `onCreateViewHolder(android.view.ViewGroup parent, int viewType)` Adapter

### Methods inherited from class android.support.v7.widget.RecyclerView.Adapter

`bindViewHolder, createViewHolder, getItemId, getItemViewType, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ZERO

    private final int ZERO

See Also:
  Constant Field Values

#### mListData

    private java.util.ArrayList<TaskHistoryData> mListData

### Constructor Detail

#### TaskHistoryListAdapter

    public TaskHistoryListAdapter()

### Method Detail

#### notifyDataAll

    public void notifyDataAll()

ViewActivity

Specified by:
  `notifyDataAll` in interface `TaskHistoryListContract.View`

#### notifyDataRangeChanged

    public void notifyDataRangeChanged(int positionStart,
                                       int itemCount)

Specified by:
  `notifyDataRangeChanged` in interface `TaskHistoryListContract.View`

#### clearItems

    public void clearItems()

Model

Specified by:
  `clearItems` in interface `TaskHistoryListContract.Model`

#### addItems

    public void addItems(java.util.ArrayList<TaskHistoryData> list)

Specified by:
  `addItems` in interface `TaskHistoryListContract.Model`

#### onCreateViewHolder

    public android.support.v7.widget.RecyclerView.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                                int viewType)

Adapter

Specified by:
  `onCreateViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### onBindViewHolder

    public void onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder,
                                 int position)

Specified by:
  `onBindViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### getItemCount

    public int getItemCount()

Specified by:
  `getItemCount` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`